Skip to main content

Get Partner Events

Retrieves the partner events for the specified shipment.

Endpoint: GET /api/shipments/{id}/partner-events

Required Scope: shipments:read

Path Parameter

ParameterTypeRequiredDescription
idstringYesThe ID of the shipment.

Response Specification

Returns a response object wrapped in Result containing:

PropertyTypeDescription
EventsShipmentPartnerEvent[]A list of partner events for the shipment.

Could return HTTP status code 404 if not found.

Sample JSON

{
"Data": {
"Events": [
{
"EventCode": "PICKEDUP",
"EventTime": "2026-06-15T20:55:00-07:00",
"Location": {
"PostCode": "90001",
"CountryCode": "US"
}
},
{
"EventCode": "ARRIVED",
"EventTime": "2026-06-15T21:00:00-07:00",
"Location": {
"PostCode": "90001",
"CountryCode": "US"
}
},
{
"EventCode": "DEPARTED",
"EventTime": "2026-06-15T22:00:00-07:00",
"Location": {
"PostCode": "90001",
"CountryCode": "US"
}
}
]
},
"Succeeded": true,
"Error": null,
"CapturedValues": {}
}